/*****************************************************************************/
/* FILENAME                                                                  */
/*   FIR_filters_asm.h                                                       */
/*                                                                           */
/* DESCRIPTION                                                               */
/*   Header File for different Finite Impulse Response filters implemented   */
/*   as assembly language code, where C code version would be too slow.      */
/*                                                                           */
/*****************************************************************************/

#ifndef FIR_FILTERS_ASM_H
#define FIR_FILTERS_ASM_H

void FIR_filters_asm_initialise(void);

signed int FIR_filter_asm(const signed int * filter_constants, signed int input);

signed int FIR_filter_asm_2(const signed int * filter_constants, signed int input);

signed long FIR_dual_filter_asm( const signed int * filter_constants, signed int input);

#endif

/******************************************************************************/
/* End of FIR_filters_asm.h                                                   */
/******************************************************************************/

  
