/*****************************************************************************/
/*                                                                           */
/* FILENAME                                                                  */
/* 	kaiser_high_pass_filter_1200Hz.h                                         */
/*                                                                           */
/* DESCRIPTION                                                               */
/*   Header file FIR highpass filter with:                                   */
/*   Passband ripple 3 dB                                                    */
/*   Stopband attenuation 20 dB                                              */
/*   Passband frequency 1700 Hz                                              */
/*   Stopband frequency 700 Hz                                               */
/*   Sampling frequency of 48000 Hz                                          */  
/*   Number of coefficients 51                                               */
/*                                                                           */
/* REVISION                                                                  */
/*   Revision: 1.00	                                                         */
/*   Author  : Richard Sikora                                                */
/*---------------------------------------------------------------------------*/
/*                                                                           */
/* HISTORY                                                                   */
/*   Revision 1.00                                                           */
/*   8th November 2002. Created by Richard Sikora.                           */
/*                                                                           */
/*****************************************************************************/

const signed int kaiser_high_pass_filter_1200Hz[] = {

         0x0127,  /* H0 */
         0x00FF,  /* H1 */
         0x00CE,  /* H2 */
         0x0093,  /* H3 */
         0x004E,  /* H4 */
         0x0000,  /* H5 */
         0xFFAA,  /* H6 */
         0xFF4D,  /* H7 */
         0xFEE9,  /* H8 */
         0xFE81,  /* H9 */
         0xFE14,  /* H10 */
         0xFDA5,  /* H11 */
         0xFD35,  /* H12 */
         0xFCC5,  /* H13 */
         0xFC57,  /* H14 */
         0xFBED,  /* H15 */
         0xFB87,  /* H16 */
         0xFB28,  /* H17 */
         0xFAD0,  /* H18 */
         0xFA82,  /* H19 */
         0xFA3D,  /* H20 */
         0xFA03,  /* H21 */
         0xF9D6,  /* H22 */
         0xF9B4,  /* H23 */
         0xF9A0,  /* H24 */
         0x799A,  /* H25 */
         0xF9A0,  /* H26 */
         0xF9B4,  /* H27 */
         0xF9D6,  /* H28 */
         0xFA03,  /* H29 */
         0xFA3D,  /* H30 */
         0xFA82,  /* H31 */
         0xFAD0,  /* H32 */
         0xFB28,  /* H33 */
         0xFB87,  /* H34 */
         0xFBED,  /* H35 */
         0xFC57,  /* H36 */
         0xFCC5,  /* H37 */
         0xFD35,  /* H38 */
         0xFDA5,  /* H39 */
         0xFE14,  /* H40 */
         0xFE81,  /* H41 */
         0xFEE9,  /* H42 */
         0xFF4D,  /* H43 */
         0xFFAA,  /* H44 */
         0x0000,  /* H45 */
         0x004E,  /* H46 */
         0x0093,  /* H47 */
         0x00CE,  /* H48 */
         0x00FF,  /* H49 */
         0x0127   /* H50 */
                                };

/*****************************************************************************/
/* End of kaiser_high_pass_filter_1200Hz.h                                   */
/*****************************************************************************/  





